List Available Templates
GET
https://api.konpro.ai/v1/templatesRetrieve a collection of video templates supported by the platform, now integrated with the new AI Studio for enhanced capabilities.
Request History
Log in to see full request history
| TIME | STATUS | USER AGENT |
|---|---|---|
| Make a request to see history. | ||
0 Requests This Month
Response Structure
| Field | Type | Description |
|---|---|---|
| templates | array | Array of template objects |
Each template object includes:
| Field | Type | Description |
|---|---|---|
| template_id | string | Unique identifier for the template |
| name | string | Human-readable name of the template |
| thumbnail_image_url | string | URL to an image thumbnail representing the template |
| aspect_ratio | string | Aspect ratio supported by the template (portrait or landscape) |
cURL Request
shell
curl --request GET \
--url https://api.konpro.ai/v1/templates \
--header 'accept: application/json' \
--header 'x-api-key: <your-api-key>'Example Usage
Shell
curl --request GET \
--url https://api.konpro.ai/v1/templates \
--header 'accept: application/json' \
--header 'x-api-key: <your-api-key>'LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Result
400 - Result
LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Result
400 - Result